Bug 1388711 - Needs more testings of rebalance for the distributed-dispersed volume
Summary: Needs more testings of rebalance for the distributed-dispersed volume
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: disperse
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.2.0
Assignee: Atin Mukherjee
QA Contact: nchilaka
URL:
Whiteboard:
Depends On:
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-10-26 01:37 UTC by tsugano
Modified: 2017-03-23 06:14 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 06:14:55 UTC
amukherj: needinfo? (bturner)
rhinduja: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description tsugano 2016-10-26 01:37:18 UTC
Description of problem:
For an over peta-byte deployment, the product team encouraged us to use the distributed-replicated volume over the dist-dispersed one as they need more rebalance testings with the latter for large-scale deployments. However, we think the dist-dispersed would be best fit for our target use cases, a storage for video streaming, for example.

Version-Release number of selected component (if applicable):
3.2

How reproducible:
Configure an over PB volume, extend its size by adding nodes and then trigger rebalance.

Steps to Reproduce:
1.
2.
3.

Actual results:
The distributed-replicated volume is recommended.

Expected results:
We can choose the distributed-dispersed volume as well.

Additional info:

Comment 2 Pranith Kumar K 2016-10-26 01:48:44 UTC
Ben, Ambarish,
     I am aware that one of you are doing the ec perf work with rebalance. Not sure which one it is. Could you take a look at this bug? For now adding needinfo on Ben.

Comment 11 nchilaka 2017-02-14 07:04:48 UTC
We have done an extensive testing approach to EC with rebalance and other interops too.
below is a testplan on what all were covered
http://etherpad.corp.redhat.com/3-2-ec-rebalance-plan
There were a good number of BZs reported ,which are mentioned in the above doc, which are being tracked seperately

Hence moving to verified

Comment 13 errata-xmlrpc 2017-03-23 06:14:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.